unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants,
  System.Classes, Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs,
  Vcl.StdCtrls, Vcl.Mask, Vcl.DBCtrls, Vcl.ExtCtrls, RVScroll, RichView,
  RVUniscribeGrIn, RVStyle, RVTable;

type
  TForm1 = class(TForm)
    RVStyle1: TRVStyle;
    RichView1: TRichView;
    Panel1: TPanel;
    DBEdit1: TDBEdit;
    DBEdit2: TDBEdit;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var
  rvTable: TRVTableItemInfo;

  function GetTable(rv: TRichView; TableNo: Integer): TRVTableItemInfo;
  var
  I, No: Integer;
  begin
    No := 0;
    for I := 0 to rv.RVData.Items.Count - 1 do
    begin
      if rv.RVData.GetItemStyle(I) = rvsTable then
        No := No + 1;
          if TableNo = No then
          begin
            Result := TRVTableItemInfo(rv.RVData.GetItem(I));
            Break;
          end;
    end;
  end;

begin
  RichView1.LoadRVF(ExtractFilePath(Application.ExeName) + 'test.rvf');

  rvTable := GetTable(RichView1, 1);
  with rvTable do
  begin
    Cells[0, 1].AddControl('', DBEdit1, -1, rvvaBaseline);
    Cells[1, 1].AddControlEx('', DBEdit2, -1, rvvaBaseline);
  end;
  RichView1.Format;
end;

end.
